---
# vars file for nextcloud

nextcloud_dl_file_name:
  latest: "{{ ['latest', nextcloud_version_major]|reject('undefined')|join('-') }}"
  releases: "{{ ['nextcloud', nextcloud_version_full]|reject('undefined')|join('-') }}"
  prereleases: "nextcloud-{{ [nextcloud_version_full, nextcloud_version_special]|reject('undefined')|join() }}"
  daily: "nextcloud-{{ nextcloud_version_major|d('') }}-daily-{{ nextcloud_version_special|d('') }}"

mysql_credential_file:
  debian: '/etc/mysql/debian.cnf'

nextcloud_max_upload_size_in_bytes: "{{ nextcloud_max_upload_size | human_to_bytes }}"

# load configurations references
os_config_ref: "{{ lookup('ansible.builtin.template', [role_path,'defaults','os_config_ref.yml']|join('/')) | from_yaml }}"
php_config_ref: "{{ lookup('ansible.builtin.template', [role_path,'defaults','php_config_ref.yml']|join('/')) | from_yaml }}"

# Default LDAP
nc_homeFolderNamingRule: ""
nc_ldapBackupHost: ""
nc_ldapBackupPort: 636
nc_ldapBase: ""
nc_ldapBaseGroups: ""
nc_ldapBaseUsers: ""
nc_ldapConfigurationActive: 0
nc_ldapEmailAttribute: ""
nc_ldapExpertUsernameAttr: ""
nc_ldapGroupFilter: ""
nc_ldapGroupFilterObjectclass: ""
nc_ldapGroupMemberAssocAttr: "gidNumber"
nc_ldapHost: ""
nc_ldapLoginFilter: ""
nc_ldapPort: 636
nc_ldapUserDisplayName: ""
nc_ldapUserFilter: ""
nc_ldapUserFilterMode: 0
nc_ldapUserFilterObjectclass: ""
